/*
SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98


-primary color #A8C6E5
-tints #e5efeb
-shades
-accent  #F2D479
Background: Warm Beige — #FBF8F3

Secondary: Soft Sky Blue — #A8C6E5

Accent: Muted Yellow — #F2D479

Background: Warm Beige — #FBF8F3

Text: Dark Olive — #3D4F44
*/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
*:focus{
outline: none;
box-shadow: 0 0 0 0.8rem hsla(155, 23%, 59%, 0.5);
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body{
    font-family: "Rubik", sans-serif;
    font-weight: 400;
    color: #555;
    line-height: 1;
    overflow-x: hidden;
}

/* ----------------------------------------------- */
/* REUSABLES */
/* ----------------------------------------------- */
.container{
    max-width: 120rem;
    margin: 0 auto;
    padding: 0 3.2rem;
}
.grid{
    display: grid;
    row-gap: 9.6rem;
    column-gap: 6.4rem;
}
.grid--2-cols{
    grid-template-columns: repeat(2, 1fr);
}
.grid--3-cols{
    grid-template-columns: repeat(3, 1fr);
}
.grid--4-cols{
    grid-template-columns: repeat(4, 1fr);
}
.grid--center-v{
    align-items: center;
}






/* ----------------------------------------------- */
/* HEADER SECTION */
/* ----------------------------------------------- */
.header{
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 9.6rem;
    padding: 0 4.8rem;
    background-color: #d9e7e1;
}
.logo{
    height: 8.6rem;
}

/* ----------------------------------------------- */
/* Sticky Navigation */
/* ----------------------------------------------- */
.sticky .header{
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    padding-top: 0;
    padding-bottom: 0;
    height: 8rem;
    box-shadow: 0 1.2rem 3.2rem rgba(0,0,0,0.03);
    background-color: #fff;
    z-index: 9999;
}

.sticky .section-hero{
    margin-top: 9.6rem;
}

/* ----------------------------------------------- */
/* NAVIGATION SECTION */
/* ----------------------------------------------- */
.main-nav-list{
    list-style: none;
    display: flex;
    gap: 3.2rem;
    align-items: center;
}
.main-nav-link:link,
.main-nav-link:visited {
    display: inline-block;
    text-decoration: none;
    color: #333;
    font-size: 1.8rem;
    font-weight: 500;
    transition: all 2s;
}

.main-nav-link:hover,
.main-nav-link:active {
    color: #729e8c;
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited{
    padding: 1.2rem 2.4rem;
    background-color: #7faf9b;
    color: #fff;
    border-radius: 9px;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active{
    background-color: #729e8c;
}


.section-hero{
    background-color: #d9e7e1;
    color: #333;
    padding: 4.8rem 0 9.6rem 0;
}

.hero{
    max-width: 130rem;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 9.6rem;
    align-items: center;
    padding: 0 3.2rem;
}

.heading-primary, 
.heading-secondary,
.heading-tertiary,
.heading-tertiary-extra{
    font-weight: 700;
    color: #333;
    letter-spacing: -0.6px;
}

.heading-primary{
    font-size: 5.2rem;
    line-height: 1.05;
    margin-bottom: 3.2rem;
}
.heading-secondary{
    font-size: 4.4rem;
    line-height: 1.2;
    margin-bottom: 9.6rem;
}
.heading-tertiary{
    font-size: 3rem;
    line-height: 1.2;
    margin-bottom: 3.2rem;
}
.heading-tertiary-extra{
    font-size: 2.4rem;
    line-height: 1.2;
    margin-bottom: 1.6rem;
}


.hero-description{
    font-size: 2rem;
    line-height: 1.6;
    margin-bottom: 4.8rem;
}
.btn,
.btn:link, .btn:visited{
    display: inline-block;
    text-decoration: none;
    padding: 1.6rem 3.2rem;
    font-size: 2rem;
    font-weight: 600;
    border-radius: 9px;
    transition: all 1s;
    color: inherit;
    cursor: pointer;
    border: none;
}

.btn--full:link, .btn--full:visited{
    background-color: #7faf9b;
    color: #fff;
}

.btn--full:hover, .btn--full:active{
    background-color: #729e8c;
    
}

.btn--outline:link, .btn--outline:visited{
    background-color: #fff;
    color: #333;
}

.btn--outline:hover, .btn--outline:active{
    background-color: #d9e7e1;
    box-shadow: inset 0 0 0 3px #fff;
    
}


.btn--form{
    background-color: #414544;
    color: #d9e7e1;
    align-self: end;
    padding: 1.2rem;
}

.btn--form:hover{
    background-color: #fff;
    color: #555;
}
.hero-img{
    width: 65%;
    /* border-radius: 15px; */
}
.margin-right-sm{
    margin-right: 1.6rem;
}
.btn-mobile-nav{
    border: none;
    background: none;
    cursor: pointer;
    display: none;
}
.icon-mobile-nav{
    width: 4.8rem;
    height: 4.8rem;
    color: #333;
}

.icon-mobile-nav[name="close-outline"]{
    display: none;
}

/* ----------------------------------------------- */
/* ABOUT US SECTION */
/* ----------------------------------------------- */
.section-about{
    padding: 9.6rem 0;
    background-color: #fbf8f3;
}
.about-img{
    width: 80%;
}
.subheading{
    display: block;
    font-size: 1.6rem;
    color: #678e7e;
    font-weight: 500;
    text-transform: uppercase;
    margin-bottom: 1.6rem;
    letter-spacing: 0.75px;
}
.about-number{
    font-size: 8.8rem;
    font-weight: 600;
    color: #eee;
    margin-bottom: 1.2rem;
}

.about-description{
    font-size: 1.8rem;
    line-height: 1.8;
}
.values{
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
    font-size: 2rem;
}

.text-highlight{
    background-color: #a5c7b9;
    padding: 1.8rem 2.4rem;
    line-height: 1.6;
    letter-spacing: .2px;

}

.text-highlight p{
    font-weight: 700;
}

/* ----------------------------------------------- */
/* OUR PROGRAMS SECTION */
/* ----------------------------------------------- */
.section-programs{
    padding: 9.6rem 0;
}
.program{
    box-shadow: 0 2.4rem 4.8rem rgba(0,0,0,0.075);
    border-radius: 1.1rem;
    overflow: hidden;
}
.program-img{
    width: 100%;
    margin-bottom: 1.2rem;
}

.program-title{
    color: #333;
}
.program-details{
    padding: 1.6rem;
    display: flex;
    flex-direction: column;
    gap: 1.8rem;
    align-items: center;
}

.program-list{
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
    /* margin-bottom: 1.6rem; */
} 
.program-list-item, 
.program-text{
    font-size: 1.6rem;
    line-height: 1.4;
}


.program-outcome{
    font-size: 1.4rem;
    line-height: 1.4;
    color: #555;
    font-weight: 500;
}



/* ----------------------------------------------- */
/* IMPACT SECTION */
/* ----------------------------------------------- */
.section-impact{
    padding: 9.6rem 0;
    background-color: #fbf8f3;
}

.impact-numbers{
    margin-bottom: 9.6rem;
}

.impact-container{
    display: flex;
    justify-content: space-between;
}

.impact-detail{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    color: #63776f;
    font-weight: 700;
    align-items: center;
}
.impact-number{
    font-size: 4.4rem;
}
.impact-decription{
    font-size: 1.4rem;
}

.impact-grid{
    display:grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 2rem;
}
.activity-img{
    width: 65%;
    margin-bottom: 2rem;
}

.narration{
    font-size: 1.6rem;
    line-height: 1.6;
    color: #555;
    font-weight: 400;
}

/* ----------------------------------------------- */
/* DONATE SECTION */
/* ----------------------------------------------- */
.section-donate{
    padding: 9.6rem 0 12.8rem;
    /* background-color: #fbf8f3; */
}
.donate{
    overflow: hidden;
    box-shadow: 0 2.4rem 4.8rem rgba(0,0,0,0.15);
    border-radius: 11px;
    background-image: linear-gradient(to right bottom,#d9e7e1, #aeb9b4 );
}

.donate-text, .donate-address{
    line-height: 1.8;
    margin-bottom: 4.8rem;
}
.donate-text{
    font-size: 1.8rem;
}
.donate-address{
    font-size: 2rem;
    font-weight: 600;
}
.donate-image-box{
    background-image: linear-gradient(to right bottom,hsla(154, 23%, 88%, 0.4), hsla(153, 7%, 70%, 0.4) ), url('../images/donate.jpg');
    background-size: cover;
    background-position: right;
}
.donate-text-box{
    padding: 4.8rem;
    color: #414544;
}

/* ----------------------------------------------- */
/* TEAM SECTION */
/* ----------------------------------------------- */
.section-team{
    padding: 9.6rem 0;
    /* background-color: #fbf8f3; */
}
.team-grid{
    grid-template-columns: 1fr 2fr;
}

.founder-img{
    width: 100%;
    /* border-radius: 50%; */
    box-shadow: 0 2.4rem 3.6rem rgba(0,0,0,0.1);
    margin-bottom: 1.4rem;
    
}
.team-details{
    display: flex;
    gap: 2rem;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.names{
    font-size: 3rem;
    font-weight: 600;
    text-transform: uppercase;
}
.position{
    font-size: 1.8rem;
    color: #777;
}

.team-descritpion-container{
    padding: 1.8rem;
    display: flex;
    flex-direction: column;
    gap: 3rem;
}
.team-descritpion-container p{
    font-size: 1.6rem;
    line-height: 1.6;
}

.big-quote{
    font-size: 1.8rem;
    line-height: 1.2;
    margin-bottom: 1.6rem;
    font-weight: 700;
    /* color: #333; */
}
.impact-catalogue{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2.4rem;
}

.impact-catalogue img{
    width: 100%;
}
.impact-frame{
    width: 58rem ;
    height: 38rem;
}
/* ----------------------------------------------- */
/* TESTIMONIAL SECTION */
/* ----------------------------------------------- */
.section-testimonial{
    background-color: #d9e7e1;
    display: grid;
    grid-template-columns: 55fr 45fr;
    align-items: center;
}
.testimonial-container{
    padding: 9.6rem;
}
.testimonials{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4.8rem;
}

.testimonial-img{
    width: 6.4rem;
    height: 6.4rem;
    border-radius: 50%;
    margin-bottom: 1.2rem;
}
.testimonial-text{
    font-size: 1.8rem;
    line-height: 1.6;
    margin-bottom: 1.6rem;
}

.testimonial-name{
    font-size: 1.6rem;
    color: #5E5E5E;
    margin-bottom: 1.2rem;
}
.testimonial-category{
    font-size: 1.4rem;
    color:#5E5E5E;
}

.gallery{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.6rem;
    padding: 1.6rem;
}
.gallery-item{
    overflow: hidden;
}
.gallery-item img{
    display: block;
    width: 100%;
    transition: all 0.4s;
}
.gallery-item img:hover{
    transform: scale(1.1);
}


/* ----------------------------------------------- */
/* CTA SECTION */
/* ----------------------------------------------- */
.section-cta{
    padding: 9.6rem 0 12.8rem;
    /* background-color: #fbf8f3; */
}

.cta{
    display: grid;
    overflow: hidden;
    grid-template-columns: 2fr 1fr;
    box-shadow: 0 2.4rem 4.8rem rgba(0,0,0,0.15);
    border-radius: 11px;
    background-image: linear-gradient(to right bottom,#d9e7e1, #aeb9b4 );
}
.cta-text-box{
    padding: 4.8rem 6.4rem 6.4rem 6.4rem;
    color: #414544;
}

.cta-image-box{
    background-image: linear-gradient(to right bottom,hsla(154, 23%, 88%, 0.4), hsla(153, 7%, 70%, 0.4) ), url('../images/dor_ch4.jpg');
    background-size: cover;
    background-position: right;
}

.cta .heading-secondary{
    margin-bottom: 3.2rem;
    color: #414544;
}

.cta-text{
    font-size: 1.8rem;
    line-height: 1.8;
    margin-bottom: 4.8rem;
}

.cta-form{
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 3.2rem;
    row-gap: 2.4rem;
}
.cta-form label{
    display: block;
    font-size: 1.6rem;
    font-weight: 500;
    margin-bottom: 1.2rem;
}

.cta-form input::placeholder{
    color: #aaa;
}
.cta-form input,
.cta-form select{
    width: 100%;
    font-size: 1.8rem;
    font-family: inherit;
    padding: 1.2rem;
    border: none;
    color: inherit;
    border-radius: 9px;
    box-shadow: 0 1px 2px rgba(0,0,0,0.01);
    background-color: #fbfdfc;
}

.cta *:focus{
outline: none;
box-shadow: 0 0 0 0.6rem hsla(154, 23%, 88%, 0.5);
}

/* ----------------------------------------------- */
/* FOOTER */
/* ----------------------------------------------- */
.footer{
    padding: 12.8rem 0;
    border-top: 1px solid #eee;
}
.grid--footer{
    grid-template-columns: 2fr 2fr 1fr 1fr;
}
.logo-col{
    display: flex;
    flex-direction: column;
}

.footer-logo{
    display: block;
    margin-bottom: 3.2rem;
}
.social-links{
    list-style: none;
    display: flex;
    gap: 2.4rem;
}
.social-icon{
    height: 2.4rem;
    width: 2.4rem;
}

.copyright{
    font-size: 1.4rem;
    color: #767676;
    margin-top: 2rem;
}
.footer-heading{
    font-size: 1.8rem;
    font-weight: 500;
    margin-bottom: 3.2rem;
}

.footer-nav{
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
}

.footer-link:link,
.footer-link:visited{
    font-size: 1.6rem;
    color: #767676;
    text-decoration: none;
    transition: all 3s;
}

.footer-link:hover,
.footer-link:active{
    color: #444;
}

.contacts{
    font-style: normal;
    font-size: 1.6rem;
    line-height: 1.6;
}
.address{
    margin-bottom: 2.4rem;
}